Package org.jfree.layouting.input.style.values

## Class CSSNumericType

- java.lang.Object
- - org.jfree.layouting.input.style.values.CSSType
  - - org.jfree.layouting.input.style.values.CSSNumericType

- Direct Known Subclasses:
    `CSSTimeType`

      public class CSSNumericType
      extends CSSType

  Creation-Date: 23.11.2005, 11:41:24
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CSSNumericType` | `CM` |
    `static CSSNumericType` | `DEG` |
    `static CSSNumericType` | `EM` |
    `static CSSNumericType` | `EX` |
    `static CSSNumericType` | `INCH` |
    `static CSSNumericType` | `MM` |
    `static CSSNumericType` | `NUMBER` |
    `static CSSNumericType` | `PC` |
    `static CSSNumericType` | `PERCENTAGE` |
    `static CSSNumericType` | `PT` |
    `static CSSNumericType` | `PX` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CSSNumericType​(java.lang.String name)` |

  - ### Method Summary

    - ### Methods inherited from class org.jfree.layouting.input.style.values.CSSType

      `getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NUMBER

          public static final CSSNumericType NUMBER

    - #### PERCENTAGE

          public static final CSSNumericType PERCENTAGE

    - #### EM

          public static final CSSNumericType EM

    - #### EX

          public static final CSSNumericType EX

    - #### PX

          public static final CSSNumericType PX

    - #### CM

          public static final CSSNumericType CM

    - #### MM

          public static final CSSNumericType MM

    - #### INCH

          public static final CSSNumericType INCH

    - #### PT

          public static final CSSNumericType PT

    - #### PC

          public static final CSSNumericType PC

    - #### DEG

          public static final CSSNumericType DEG

  - ### Constructor Detail

    - #### CSSNumericType

          protected CSSNumericType​(java.lang.String name)